Subject: Re: Quick FVWM Question

From: Dominik Vogt <[email-masked]>
Date: Sat, 2 Dec 2000 07:21:46 +0100

On Thu, Nov 30, 2000 at 05:24:55AM -0000, Larry Riedel wrote:
> Domenik, I hope you don't mind - I have a
> quick FVWM question.  I am trying 2.3.24
> and I was using 2.2.4.  I use ClickToFocus.
> I use multiple Desks.  The behavior seems
> different for me in a certain scenario.
> 
> Lets say on desk 1 I have a window called
> "only" and on desk 2 I have two windows
> called "upper" and "lower".  If I am on
> desk 2, in the "upper" window, and then I
> switch to desk 1, to "only", and then back
> to desk 2 again (to "upper"), and then I
> close "upper", I stay on desk 2, but "lower"
> does not get the focus.  I imagine "only"
> gets the focus, even though it is on a
> different desk.

I can confirm this problem.  It will be fixed in the next release.
> 
> With 2.2.4, if I close a window on a desk,
> I will stay on that desk and the focus will
> go to whatever window is on top on that desk.
> It appears to me that with 2.3.24 the focus
> will go to the window which most recently
> had the focus, even though it is on another
> desk.  I prefer the 2.2.4 behavior - when I
> close a window, I do not want to warp to
> another desk, and I do not want the focus
> to go to a window on another desk.

Of course.  Since fvwm remembers the focus on every desk it makes
no sense at all to 'transfer it to another desk'.  Fvwm does not
forget which window had the focus.  And of course it is user
unfriendly.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]